Offer Discovery

Use this API to discover offers available on cart amount or product and calculate the EMI.

Environment

Use our UAT environment endpoint for testing and for integration utilize our production endpoint.

EnvironmentEndpoints
User Acceptance Testing [UAT]https://pluraluat.v2.pinepg.in/api/affordability/v1/offer/discovery
Production [PROD]https://api.pluralpay.in/api/affordability/v1/offer/discovery
Body Params
order_amount
object
required

An object that contains the transaction amount details.

product_details
array of objects

Mandatory for Brand EMI

An object that contains product details.

product_details
cart_coupon_discount_amount
object

An object that contains the cart coupon discount amount details.

issuer
object

An object that contains the issuer details.

downpayment_details
object

Mandatory for EMI with Downpayment

An object that contains the downpayment amount details.

payment_options
object

An object that contains the details of the payment options.

You can use either card_details or card_token_details as a payment option.

customer_details
object

An object that contains the customer details.

Headers
string

The type of content included in the HTTP message body.

Possible value: application/json.

string
required
Defaults to Bearer

The HTTP header where you can include your secret token for authentication.

Example: Bearer <access_token>

Note: Use the access token generated using our Generate Token API.

string

Use ISO 8601 UTC Timestamp, to create a timestamp when the generate token is requested.

Example: 2024-07-09T07:57:08.022Z

string

Use a global unique identifier [GUID] for the request.

  • Minimum: 1 characters.
  • Maximum: 50 characters
Example: c17ce30f-f88e-4f81-ada1-c3b4909ed235

string

Type of content-encoding supported.

Accepted value: gzip

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Ask AI
Assistant
Order Lifecycle
Refunds
Settlements
Checkout
Dashboard
International Payments
How do I implement webhook notifications for payment status updates, and what's the recommended way to verify webhook authenticity?
How do I integrate Pine Labs payment gateway with my React Native mobile app and what are the required API credentials?
Can I customize the payment UI for card transactions, and what parameters can I pass to modify the checkout experience for my customers?
Assistant